Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network11.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
11.0.0.0
Broadcast address
11.255.255.255
First usable
11.0.0.1
Last usable
11.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 0B000000 · Integer 184549376 to 201326591
Reverse DNS zone
11.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001011..00000000.00000000.0000000011.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00001011..00000000.00000000.0000000011.0.0.0
Broadcast00001011..11111111.11111111.1111111111.255.255.255
Split into smaller subnets/17

11.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
111.0.0.0/1711.0.0.1 to 11.0.127.25411.0.127.25532,766
211.0.128.0/1711.0.128.1 to 11.0.255.25411.0.255.25532,766
311.1.0.0/1711.1.0.1 to 11.1.127.25411.1.127.25532,766
411.1.128.0/1711.1.128.1 to 11.1.255.25411.1.255.25532,766
511.2.0.0/1711.2.0.1 to 11.2.127.25411.2.127.25532,766
611.2.128.0/1711.2.128.1 to 11.2.255.25411.2.255.25532,766
711.3.0.0/1711.3.0.1 to 11.3.127.25411.3.127.25532,766
811.3.128.0/1711.3.128.1 to 11.3.255.25411.3.255.25532,766
911.4.0.0/1711.4.0.1 to 11.4.127.25411.4.127.25532,766
1011.4.128.0/1711.4.128.1 to 11.4.255.25411.4.255.25532,766
1111.5.0.0/1711.5.0.1 to 11.5.127.25411.5.127.25532,766
1211.5.128.0/1711.5.128.1 to 11.5.255.25411.5.255.25532,766
1311.6.0.0/1711.6.0.1 to 11.6.127.25411.6.127.25532,766
1411.6.128.0/1711.6.128.1 to 11.6.255.25411.6.255.25532,766
1511.7.0.0/1711.7.0.1 to 11.7.127.25411.7.127.25532,766
1611.7.128.0/1711.7.128.1 to 11.7.255.25411.7.255.25532,766
1711.8.0.0/1711.8.0.1 to 11.8.127.25411.8.127.25532,766
1811.8.128.0/1711.8.128.1 to 11.8.255.25411.8.255.25532,766
1911.9.0.0/1711.9.0.1 to 11.9.127.25411.9.127.25532,766
2011.9.128.0/1711.9.128.1 to 11.9.255.25411.9.255.25532,766
2111.10.0.0/1711.10.0.1 to 11.10.127.25411.10.127.25532,766
2211.10.128.0/1711.10.128.1 to 11.10.255.25411.10.255.25532,766
2311.11.0.0/1711.11.0.1 to 11.11.127.25411.11.127.25532,766
2411.11.128.0/1711.11.128.1 to 11.11.255.25411.11.255.25532,766
2511.12.0.0/1711.12.0.1 to 11.12.127.25411.12.127.25532,766
2611.12.128.0/1711.12.128.1 to 11.12.255.25411.12.255.25532,766
2711.13.0.0/1711.13.0.1 to 11.13.127.25411.13.127.25532,766
2811.13.128.0/1711.13.128.1 to 11.13.255.25411.13.255.25532,766
2911.14.0.0/1711.14.0.1 to 11.14.127.25411.14.127.25532,766
3011.14.128.0/1711.14.128.1 to 11.14.255.25411.14.255.25532,766
3111.15.0.0/1711.15.0.1 to 11.15.127.25411.15.127.25532,766
3211.15.128.0/1711.15.128.1 to 11.15.255.25411.15.255.25532,766
3311.16.0.0/1711.16.0.1 to 11.16.127.25411.16.127.25532,766
3411.16.128.0/1711.16.128.1 to 11.16.255.25411.16.255.25532,766
3511.17.0.0/1711.17.0.1 to 11.17.127.25411.17.127.25532,766
3611.17.128.0/1711.17.128.1 to 11.17.255.25411.17.255.25532,766
3711.18.0.0/1711.18.0.1 to 11.18.127.25411.18.127.25532,766
3811.18.128.0/1711.18.128.1 to 11.18.255.25411.18.255.25532,766
3911.19.0.0/1711.19.0.1 to 11.19.127.25411.19.127.25532,766
4011.19.128.0/1711.19.128.1 to 11.19.255.25411.19.255.25532,766
4111.20.0.0/1711.20.0.1 to 11.20.127.25411.20.127.25532,766
4211.20.128.0/1711.20.128.1 to 11.20.255.25411.20.255.25532,766
4311.21.0.0/1711.21.0.1 to 11.21.127.25411.21.127.25532,766
4411.21.128.0/1711.21.128.1 to 11.21.255.25411.21.255.25532,766
4511.22.0.0/1711.22.0.1 to 11.22.127.25411.22.127.25532,766
4611.22.128.0/1711.22.128.1 to 11.22.255.25411.22.255.25532,766
4711.23.0.0/1711.23.0.1 to 11.23.127.25411.23.127.25532,766
4811.23.128.0/1711.23.128.1 to 11.23.255.25411.23.255.25532,766
4911.24.0.0/1711.24.0.1 to 11.24.127.25411.24.127.25532,766
5011.24.128.0/1711.24.128.1 to 11.24.255.25411.24.255.25532,766
5111.25.0.0/1711.25.0.1 to 11.25.127.25411.25.127.25532,766
5211.25.128.0/1711.25.128.1 to 11.25.255.25411.25.255.25532,766
5311.26.0.0/1711.26.0.1 to 11.26.127.25411.26.127.25532,766
5411.26.128.0/1711.26.128.1 to 11.26.255.25411.26.255.25532,766
5511.27.0.0/1711.27.0.1 to 11.27.127.25411.27.127.25532,766
5611.27.128.0/1711.27.128.1 to 11.27.255.25411.27.255.25532,766
5711.28.0.0/1711.28.0.1 to 11.28.127.25411.28.127.25532,766
5811.28.128.0/1711.28.128.1 to 11.28.255.25411.28.255.25532,766
5911.29.0.0/1711.29.0.1 to 11.29.127.25411.29.127.25532,766
6011.29.128.0/1711.29.128.1 to 11.29.255.25411.29.255.25532,766
6111.30.0.0/1711.30.0.1 to 11.30.127.25411.30.127.25532,766
6211.30.128.0/1711.30.128.1 to 11.30.255.25411.30.255.25532,766
6311.31.0.0/1711.31.0.1 to 11.31.127.25411.31.127.25532,766
6411.31.128.0/1711.31.128.1 to 11.31.255.25411.31.255.25532,766
6511.32.0.0/1711.32.0.1 to 11.32.127.25411.32.127.25532,766
6611.32.128.0/1711.32.128.1 to 11.32.255.25411.32.255.25532,766
6711.33.0.0/1711.33.0.1 to 11.33.127.25411.33.127.25532,766
6811.33.128.0/1711.33.128.1 to 11.33.255.25411.33.255.25532,766
6911.34.0.0/1711.34.0.1 to 11.34.127.25411.34.127.25532,766
7011.34.128.0/1711.34.128.1 to 11.34.255.25411.34.255.25532,766
7111.35.0.0/1711.35.0.1 to 11.35.127.25411.35.127.25532,766
7211.35.128.0/1711.35.128.1 to 11.35.255.25411.35.255.25532,766
7311.36.0.0/1711.36.0.1 to 11.36.127.25411.36.127.25532,766
7411.36.128.0/1711.36.128.1 to 11.36.255.25411.36.255.25532,766
7511.37.0.0/1711.37.0.1 to 11.37.127.25411.37.127.25532,766
7611.37.128.0/1711.37.128.1 to 11.37.255.25411.37.255.25532,766
7711.38.0.0/1711.38.0.1 to 11.38.127.25411.38.127.25532,766
7811.38.128.0/1711.38.128.1 to 11.38.255.25411.38.255.25532,766
7911.39.0.0/1711.39.0.1 to 11.39.127.25411.39.127.25532,766
8011.39.128.0/1711.39.128.1 to 11.39.255.25411.39.255.25532,766
8111.40.0.0/1711.40.0.1 to 11.40.127.25411.40.127.25532,766
8211.40.128.0/1711.40.128.1 to 11.40.255.25411.40.255.25532,766
8311.41.0.0/1711.41.0.1 to 11.41.127.25411.41.127.25532,766
8411.41.128.0/1711.41.128.1 to 11.41.255.25411.41.255.25532,766
8511.42.0.0/1711.42.0.1 to 11.42.127.25411.42.127.25532,766
8611.42.128.0/1711.42.128.1 to 11.42.255.25411.42.255.25532,766
8711.43.0.0/1711.43.0.1 to 11.43.127.25411.43.127.25532,766
8811.43.128.0/1711.43.128.1 to 11.43.255.25411.43.255.25532,766
8911.44.0.0/1711.44.0.1 to 11.44.127.25411.44.127.25532,766
9011.44.128.0/1711.44.128.1 to 11.44.255.25411.44.255.25532,766
9111.45.0.0/1711.45.0.1 to 11.45.127.25411.45.127.25532,766
9211.45.128.0/1711.45.128.1 to 11.45.255.25411.45.255.25532,766
9311.46.0.0/1711.46.0.1 to 11.46.127.25411.46.127.25532,766
9411.46.128.0/1711.46.128.1 to 11.46.255.25411.46.255.25532,766
9511.47.0.0/1711.47.0.1 to 11.47.127.25411.47.127.25532,766
9611.47.128.0/1711.47.128.1 to 11.47.255.25411.47.255.25532,766
9711.48.0.0/1711.48.0.1 to 11.48.127.25411.48.127.25532,766
9811.48.128.0/1711.48.128.1 to 11.48.255.25411.48.255.25532,766
9911.49.0.0/1711.49.0.1 to 11.49.127.25411.49.127.25532,766
10011.49.128.0/1711.49.128.1 to 11.49.255.25411.49.255.25532,766
10111.50.0.0/1711.50.0.1 to 11.50.127.25411.50.127.25532,766
10211.50.128.0/1711.50.128.1 to 11.50.255.25411.50.255.25532,766
10311.51.0.0/1711.51.0.1 to 11.51.127.25411.51.127.25532,766
10411.51.128.0/1711.51.128.1 to 11.51.255.25411.51.255.25532,766
10511.52.0.0/1711.52.0.1 to 11.52.127.25411.52.127.25532,766
10611.52.128.0/1711.52.128.1 to 11.52.255.25411.52.255.25532,766
10711.53.0.0/1711.53.0.1 to 11.53.127.25411.53.127.25532,766
10811.53.128.0/1711.53.128.1 to 11.53.255.25411.53.255.25532,766
10911.54.0.0/1711.54.0.1 to 11.54.127.25411.54.127.25532,766
11011.54.128.0/1711.54.128.1 to 11.54.255.25411.54.255.25532,766
11111.55.0.0/1711.55.0.1 to 11.55.127.25411.55.127.25532,766
11211.55.128.0/1711.55.128.1 to 11.55.255.25411.55.255.25532,766
11311.56.0.0/1711.56.0.1 to 11.56.127.25411.56.127.25532,766
11411.56.128.0/1711.56.128.1 to 11.56.255.25411.56.255.25532,766
11511.57.0.0/1711.57.0.1 to 11.57.127.25411.57.127.25532,766
11611.57.128.0/1711.57.128.1 to 11.57.255.25411.57.255.25532,766
11711.58.0.0/1711.58.0.1 to 11.58.127.25411.58.127.25532,766
11811.58.128.0/1711.58.128.1 to 11.58.255.25411.58.255.25532,766
11911.59.0.0/1711.59.0.1 to 11.59.127.25411.59.127.25532,766
12011.59.128.0/1711.59.128.1 to 11.59.255.25411.59.255.25532,766
12111.60.0.0/1711.60.0.1 to 11.60.127.25411.60.127.25532,766
12211.60.128.0/1711.60.128.1 to 11.60.255.25411.60.255.25532,766
12311.61.0.0/1711.61.0.1 to 11.61.127.25411.61.127.25532,766
12411.61.128.0/1711.61.128.1 to 11.61.255.25411.61.255.25532,766
12511.62.0.0/1711.62.0.1 to 11.62.127.25411.62.127.25532,766
12611.62.128.0/1711.62.128.1 to 11.62.255.25411.62.255.25532,766
12711.63.0.0/1711.63.0.1 to 11.63.127.25411.63.127.25532,766
12811.63.128.0/1711.63.128.1 to 11.63.255.25411.63.255.25532,766
12911.64.0.0/1711.64.0.1 to 11.64.127.25411.64.127.25532,766
13011.64.128.0/1711.64.128.1 to 11.64.255.25411.64.255.25532,766
13111.65.0.0/1711.65.0.1 to 11.65.127.25411.65.127.25532,766
13211.65.128.0/1711.65.128.1 to 11.65.255.25411.65.255.25532,766
13311.66.0.0/1711.66.0.1 to 11.66.127.25411.66.127.25532,766
13411.66.128.0/1711.66.128.1 to 11.66.255.25411.66.255.25532,766
13511.67.0.0/1711.67.0.1 to 11.67.127.25411.67.127.25532,766
13611.67.128.0/1711.67.128.1 to 11.67.255.25411.67.255.25532,766
13711.68.0.0/1711.68.0.1 to 11.68.127.25411.68.127.25532,766
13811.68.128.0/1711.68.128.1 to 11.68.255.25411.68.255.25532,766
13911.69.0.0/1711.69.0.1 to 11.69.127.25411.69.127.25532,766
14011.69.128.0/1711.69.128.1 to 11.69.255.25411.69.255.25532,766
14111.70.0.0/1711.70.0.1 to 11.70.127.25411.70.127.25532,766
14211.70.128.0/1711.70.128.1 to 11.70.255.25411.70.255.25532,766
14311.71.0.0/1711.71.0.1 to 11.71.127.25411.71.127.25532,766
14411.71.128.0/1711.71.128.1 to 11.71.255.25411.71.255.25532,766
14511.72.0.0/1711.72.0.1 to 11.72.127.25411.72.127.25532,766
14611.72.128.0/1711.72.128.1 to 11.72.255.25411.72.255.25532,766
14711.73.0.0/1711.73.0.1 to 11.73.127.25411.73.127.25532,766
14811.73.128.0/1711.73.128.1 to 11.73.255.25411.73.255.25532,766
14911.74.0.0/1711.74.0.1 to 11.74.127.25411.74.127.25532,766
15011.74.128.0/1711.74.128.1 to 11.74.255.25411.74.255.25532,766
15111.75.0.0/1711.75.0.1 to 11.75.127.25411.75.127.25532,766
15211.75.128.0/1711.75.128.1 to 11.75.255.25411.75.255.25532,766
15311.76.0.0/1711.76.0.1 to 11.76.127.25411.76.127.25532,766
15411.76.128.0/1711.76.128.1 to 11.76.255.25411.76.255.25532,766
15511.77.0.0/1711.77.0.1 to 11.77.127.25411.77.127.25532,766
15611.77.128.0/1711.77.128.1 to 11.77.255.25411.77.255.25532,766
15711.78.0.0/1711.78.0.1 to 11.78.127.25411.78.127.25532,766
15811.78.128.0/1711.78.128.1 to 11.78.255.25411.78.255.25532,766
15911.79.0.0/1711.79.0.1 to 11.79.127.25411.79.127.25532,766
16011.79.128.0/1711.79.128.1 to 11.79.255.25411.79.255.25532,766
16111.80.0.0/1711.80.0.1 to 11.80.127.25411.80.127.25532,766
16211.80.128.0/1711.80.128.1 to 11.80.255.25411.80.255.25532,766
16311.81.0.0/1711.81.0.1 to 11.81.127.25411.81.127.25532,766
16411.81.128.0/1711.81.128.1 to 11.81.255.25411.81.255.25532,766
16511.82.0.0/1711.82.0.1 to 11.82.127.25411.82.127.25532,766
16611.82.128.0/1711.82.128.1 to 11.82.255.25411.82.255.25532,766
16711.83.0.0/1711.83.0.1 to 11.83.127.25411.83.127.25532,766
16811.83.128.0/1711.83.128.1 to 11.83.255.25411.83.255.25532,766
16911.84.0.0/1711.84.0.1 to 11.84.127.25411.84.127.25532,766
17011.84.128.0/1711.84.128.1 to 11.84.255.25411.84.255.25532,766
17111.85.0.0/1711.85.0.1 to 11.85.127.25411.85.127.25532,766
17211.85.128.0/1711.85.128.1 to 11.85.255.25411.85.255.25532,766
17311.86.0.0/1711.86.0.1 to 11.86.127.25411.86.127.25532,766
17411.86.128.0/1711.86.128.1 to 11.86.255.25411.86.255.25532,766
17511.87.0.0/1711.87.0.1 to 11.87.127.25411.87.127.25532,766
17611.87.128.0/1711.87.128.1 to 11.87.255.25411.87.255.25532,766
17711.88.0.0/1711.88.0.1 to 11.88.127.25411.88.127.25532,766
17811.88.128.0/1711.88.128.1 to 11.88.255.25411.88.255.25532,766
17911.89.0.0/1711.89.0.1 to 11.89.127.25411.89.127.25532,766
18011.89.128.0/1711.89.128.1 to 11.89.255.25411.89.255.25532,766
18111.90.0.0/1711.90.0.1 to 11.90.127.25411.90.127.25532,766
18211.90.128.0/1711.90.128.1 to 11.90.255.25411.90.255.25532,766
18311.91.0.0/1711.91.0.1 to 11.91.127.25411.91.127.25532,766
18411.91.128.0/1711.91.128.1 to 11.91.255.25411.91.255.25532,766
18511.92.0.0/1711.92.0.1 to 11.92.127.25411.92.127.25532,766
18611.92.128.0/1711.92.128.1 to 11.92.255.25411.92.255.25532,766
18711.93.0.0/1711.93.0.1 to 11.93.127.25411.93.127.25532,766
18811.93.128.0/1711.93.128.1 to 11.93.255.25411.93.255.25532,766
18911.94.0.0/1711.94.0.1 to 11.94.127.25411.94.127.25532,766
19011.94.128.0/1711.94.128.1 to 11.94.255.25411.94.255.25532,766
19111.95.0.0/1711.95.0.1 to 11.95.127.25411.95.127.25532,766
19211.95.128.0/1711.95.128.1 to 11.95.255.25411.95.255.25532,766
19311.96.0.0/1711.96.0.1 to 11.96.127.25411.96.127.25532,766
19411.96.128.0/1711.96.128.1 to 11.96.255.25411.96.255.25532,766
19511.97.0.0/1711.97.0.1 to 11.97.127.25411.97.127.25532,766
19611.97.128.0/1711.97.128.1 to 11.97.255.25411.97.255.25532,766
19711.98.0.0/1711.98.0.1 to 11.98.127.25411.98.127.25532,766
19811.98.128.0/1711.98.128.1 to 11.98.255.25411.98.255.25532,766
19911.99.0.0/1711.99.0.1 to 11.99.127.25411.99.127.25532,766
20011.99.128.0/1711.99.128.1 to 11.99.255.25411.99.255.25532,766
20111.100.0.0/1711.100.0.1 to 11.100.127.25411.100.127.25532,766
20211.100.128.0/1711.100.128.1 to 11.100.255.25411.100.255.25532,766
20311.101.0.0/1711.101.0.1 to 11.101.127.25411.101.127.25532,766
20411.101.128.0/1711.101.128.1 to 11.101.255.25411.101.255.25532,766
20511.102.0.0/1711.102.0.1 to 11.102.127.25411.102.127.25532,766
20611.102.128.0/1711.102.128.1 to 11.102.255.25411.102.255.25532,766
20711.103.0.0/1711.103.0.1 to 11.103.127.25411.103.127.25532,766
20811.103.128.0/1711.103.128.1 to 11.103.255.25411.103.255.25532,766
20911.104.0.0/1711.104.0.1 to 11.104.127.25411.104.127.25532,766
21011.104.128.0/1711.104.128.1 to 11.104.255.25411.104.255.25532,766
21111.105.0.0/1711.105.0.1 to 11.105.127.25411.105.127.25532,766
21211.105.128.0/1711.105.128.1 to 11.105.255.25411.105.255.25532,766
21311.106.0.0/1711.106.0.1 to 11.106.127.25411.106.127.25532,766
21411.106.128.0/1711.106.128.1 to 11.106.255.25411.106.255.25532,766
21511.107.0.0/1711.107.0.1 to 11.107.127.25411.107.127.25532,766
21611.107.128.0/1711.107.128.1 to 11.107.255.25411.107.255.25532,766
21711.108.0.0/1711.108.0.1 to 11.108.127.25411.108.127.25532,766
21811.108.128.0/1711.108.128.1 to 11.108.255.25411.108.255.25532,766
21911.109.0.0/1711.109.0.1 to 11.109.127.25411.109.127.25532,766
22011.109.128.0/1711.109.128.1 to 11.109.255.25411.109.255.25532,766
22111.110.0.0/1711.110.0.1 to 11.110.127.25411.110.127.25532,766
22211.110.128.0/1711.110.128.1 to 11.110.255.25411.110.255.25532,766
22311.111.0.0/1711.111.0.1 to 11.111.127.25411.111.127.25532,766
22411.111.128.0/1711.111.128.1 to 11.111.255.25411.111.255.25532,766
22511.112.0.0/1711.112.0.1 to 11.112.127.25411.112.127.25532,766
22611.112.128.0/1711.112.128.1 to 11.112.255.25411.112.255.25532,766
22711.113.0.0/1711.113.0.1 to 11.113.127.25411.113.127.25532,766
22811.113.128.0/1711.113.128.1 to 11.113.255.25411.113.255.25532,766
22911.114.0.0/1711.114.0.1 to 11.114.127.25411.114.127.25532,766
23011.114.128.0/1711.114.128.1 to 11.114.255.25411.114.255.25532,766
23111.115.0.0/1711.115.0.1 to 11.115.127.25411.115.127.25532,766
23211.115.128.0/1711.115.128.1 to 11.115.255.25411.115.255.25532,766
23311.116.0.0/1711.116.0.1 to 11.116.127.25411.116.127.25532,766
23411.116.128.0/1711.116.128.1 to 11.116.255.25411.116.255.25532,766
23511.117.0.0/1711.117.0.1 to 11.117.127.25411.117.127.25532,766
23611.117.128.0/1711.117.128.1 to 11.117.255.25411.117.255.25532,766
23711.118.0.0/1711.118.0.1 to 11.118.127.25411.118.127.25532,766
23811.118.128.0/1711.118.128.1 to 11.118.255.25411.118.255.25532,766
23911.119.0.0/1711.119.0.1 to 11.119.127.25411.119.127.25532,766
24011.119.128.0/1711.119.128.1 to 11.119.255.25411.119.255.25532,766
24111.120.0.0/1711.120.0.1 to 11.120.127.25411.120.127.25532,766
24211.120.128.0/1711.120.128.1 to 11.120.255.25411.120.255.25532,766
24311.121.0.0/1711.121.0.1 to 11.121.127.25411.121.127.25532,766
24411.121.128.0/1711.121.128.1 to 11.121.255.25411.121.255.25532,766
24511.122.0.0/1711.122.0.1 to 11.122.127.25411.122.127.25532,766
24611.122.128.0/1711.122.128.1 to 11.122.255.25411.122.255.25532,766
24711.123.0.0/1711.123.0.1 to 11.123.127.25411.123.127.25532,766
24811.123.128.0/1711.123.128.1 to 11.123.255.25411.123.255.25532,766
24911.124.0.0/1711.124.0.1 to 11.124.127.25411.124.127.25532,766
25011.124.128.0/1711.124.128.1 to 11.124.255.25411.124.255.25532,766
25111.125.0.0/1711.125.0.1 to 11.125.127.25411.125.127.25532,766
25211.125.128.0/1711.125.128.1 to 11.125.255.25411.125.255.25532,766
25311.126.0.0/1711.126.0.1 to 11.126.127.25411.126.127.25532,766
25411.126.128.0/1711.126.128.1 to 11.126.255.25411.126.255.25532,766
25511.127.0.0/1711.127.0.1 to 11.127.127.25411.127.127.25532,766
25611.127.128.0/1711.127.128.1 to 11.127.255.25411.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses